<?php
require_once 'conexao.php';

class Visao{
    public $descricao;
    public $dataInicio;
    public $dataFinal;
    public $dataCadastro;

    public function __construct($descricao = 0, $dataInicio = 0, $dataFinal = 0,$dataCadastro = 0){

        $this->descricao = $descricao;
        $this->dataInicio = $dataInicio;
        $this->dataFinal = $dataFinal;
        $this->dataCadastro = $dataCadastro;
    }

    public function buscarVisao($conexao){

        $query1 = "SELECT * FROM visao_periodo";
        //fazendo a consulta no banco de dados
        $result1 = mysqli_query($conexao, $query1);
        return $result1;
    }
    
    public function CadastrarVisao($conexao) {

        $query = "INSERT INTO VISAO_PERIODO(DESCRICAO,DATAINICIO,DATAFINAL,HORACRIACAO)
        VALUES ('$this->descricao','$this->dataInicio','$this->dataFinal','$this->dataCadastro');" ;
	    mysqli_query($conexao, $query);

        $id =  mysqli_insert_id($conexao);
        
        return $id;
    }

    public function cadastrarVisaoDados($conexao,$loja,$compra,$venda,$lucro,$id_periodo){

        $query = "INSERT INTO VISAO(LOJA,COMPRA,VENDA,LUCRO,ID_PERIODO)
        VALUES ('$loja','$compra','$venda','$lucro','$id_periodo');" ;
	    
        if(mysqli_query($conexao, $query)){
            return true;
        }else{
            return false;
        }
    }

    public function vendasAgrupadas($conexao,$id){

        $query = "SELECT * FROM visao WHERE id_periodo = '$id' ";
        //fazendo a consulta no banco de dados
        $result = mysqli_query($conexao, $query);
   
        return $result; 
    }

    public function apagarUmaVisao($conexao,$id) {

        $query = "DELETE FROM visao_periodo WHERE ID_PERIODO = '$id'";
        $result = mysqli_query($conexao, $query);

        $query = "DELETE FROM visao WHERE ID = '$id';";
        $result = mysqli_query($conexao, $query);
    }

    //metodo que procura uma visao em uma data para que o sistma decida se vai usar uma visao salva ou buscar na softcom
    public function buscarVisaoPeriodo($conexao,$dataInicio,$dataFinal) {

        $query = "SELECT MIN(ID_PERIODO) AS ID, DESCRICAO FROM `visao_periodo` WHERE DATAINICIO = '$dataInicio' AND DATAFINAL = '$dataFinal'";
        //fazendo a consulta no banco de dados
        $result = mysqli_query($conexao, $query);
   
        return $result; 
    }

}
